Loading...
Searching...
No Matches
sphLFEntryLayout_t Struct Reference

Fields defining the entry header details word. More...

`#include <sphlfentry.h>`

## Public Attributes

unsigned int | valid: 1
unsigned int | timestamped: 1
unsigned int | allocated: 1
unsigned int | __reserved: 1
unsigned int | category: 12
unsigned int | subcat: 8
unsigned int | len: 8

## Detailed Description

Fields defining the entry header details word.

## Member Data Documentation

## __reserved

unsigned int sphLFEntryLayout_t::__reserved

reserved

## allocated

unsigned int sphLFEntryLayout_t::allocated

Boolean that indicates this entry is allocated.

## category

unsigned int sphLFEntryLayout_t::category

Application defined Event category code

## len

unsigned int sphLFEntryLayout_t::len

Length of this entry

## subcat

unsigned int sphLFEntryLayout_t::subcat

Application defined Event sub-category code

## timestamped

unsigned int sphLFEntryLayout_t::timestamped

Boolean: Indicates that this entry is time stamped.

## valid

unsigned int sphLFEntryLayout_t::valid

Boolean: Indicates that this entry is valid (complete).

The documentation for this struct was generated from the following file:

- src/sphlfentry.h